Retrieve operation-level schema validation settings
Deprecated
GET/zones/{zone_id}/api_gateway/operations/{operation_id}/schema_validation
Retrieves operation-level schema validation settings on the zone
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Retrieve operation-level schema validation settings
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/api_gateway/operations/$OPERATION_ID/schema_validation \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"mitigation_action": "block",
"operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
}Returns Examples
{
"mitigation_action": "block",
"operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
}